From: "Eli Schwartz" <eschwartz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/muffin/
Date: Mon, 5 Aug 2024 03:36:44 +0000 (UTC) [thread overview]
Message-ID: <1722828947.183662910b717dd78380725ae93981c42c0b7e5c.eschwartz@gentoo> (raw)
commit: 183662910b717dd78380725ae93981c42c0b7e5c
Author: Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Mon Jun 24 04:31:53 2024 +0000
Commit: Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Mon Aug 5 03:35:47 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18366291
x11-wm/muffin: add 6.2.0
Bug: https://bugs.gentoo.org/934783
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>
x11-wm/muffin/Manifest | 1 +
x11-wm/muffin/muffin-6.2.0.ebuild | 177 ++++++++++++++++++++++++++++++++++++++
2 files changed, 178 insertions(+)
diff --git a/x11-wm/muffin/Manifest b/x11-wm/muffin/Manifest
index 9936c2bd0dd7..7fdbadd9955b 100644
--- a/x11-wm/muffin/Manifest
+++ b/x11-wm/muffin/Manifest
@@ -1,2 +1,3 @@
DIST muffin-5.8.1.tar.gz 4519174 BLAKE2B 29269c641e28117f9dd0900dc129aca21c8834058e6b3168b2d44e0ecafba0b177ba214c82337f3120512f4433d6117781685f422a57a244edbfa8748a5ae661 SHA512 bf8e5cdc789ac8a2d1f616a751bf321209b13e3936b483d46370017c58a4b9ebd10b42a71e8691a42f013a0c44250e4a84549d9c5cf120d3382f61aa6040710b
DIST muffin-6.0.1.tar.gz 4521556 BLAKE2B e3f28dea9f66b30805f9b98bc79f2e4a08e9e5eb6501f455f0e3c42c5d9ed14c48be75b07a97da7b671156d14ed61f3b882d8ede4f9b83dac5496fac5a0f0348 SHA512 94aa767db3677116094cb0d9a63d1a446b6ec426b4b38576fcdb17259ef92d81f1a14c0e93dadd2bc4dfaca522531ed177bb0af895b3df7abf20d0e9a77d71af
+DIST muffin-6.2.0.tar.gz 4522979 BLAKE2B d2cf508eeea77e22c79c65404e90beced72b9eca87542dc38abbf8a411464b4afce4d48e73cddf284a4cb86d9eca420edf95e3cb0ad7a0bc6b2c93a4bd1df257 SHA512 0711370323cd29627f312fbd2208daa5bca3be391f9454524f34447dc31f6e8dae63617af790843a2d84fd63340a6db476783b5eadb27b95fe2503f51323d193
diff --git a/x11-wm/muffin/muffin-6.2.0.ebuild b/x11-wm/muffin/muffin-6.2.0.ebuild
new file mode 100644
index 000000000000..1a6516497de1
--- /dev/null
+++ b/x11-wm/muffin/muffin-6.2.0.ebuild
@@ -0,0 +1,177 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit gnome2-utils meson python-any-r1 virtualx
+
+DESCRIPTION="Compositing window manager forked from Mutter for use with Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ https://github.com/linuxmint/muffin"
+SRC_URI="https://github.com/linuxmint/muffin/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD GPL-2+ LGPL-2+ LGPL-2.1+ MIT SGI-B-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="input_devices_wacom +introspection screencast sysprof systemd test udev wayland video_cards_nvidia"
+REQUIRED_USE="wayland? ( udev )"
+
+# Dependencies listed in meson order
+COMDEPEND="
+ x11-libs/libX11
+ >=media-libs/graphene-1.9.3[introspection?]
+ >=x11-libs/gtk+-3.19.8:3[X,introspection?]
+ x11-libs/gdk-pixbuf:2[introspection?]
+ >=x11-libs/pango-1.20.0[introspection?]
+ >=x11-libs/cairo-1.10.0[X]
+ >=dev-libs/fribidi-1.0.0
+ >=dev-libs/glib-2.61.1:2
+ >=dev-libs/json-glib-0.12.0[introspection?]
+ >=gnome-extra/cinnamon-desktop-6.2:0=
+ >=x11-libs/libXcomposite-0.4
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ >=x11-libs/libXfixes-3
+ >=x11-libs/libXi-1.7.4
+ x11-libs/libXtst
+ x11-libs/libxkbfile
+ x11-misc/xkeyboard-config
+ >=x11-libs/libxkbcommon-0.4.3[X]
+ x11-libs/libXrender
+ >=x11-libs/libXrandr-1.5.0
+ x11-libs/libxcb:=
+ x11-libs/libXinerama
+ x11-libs/libXau
+ x11-libs/libICE
+ >=app-accessibility/at-spi2-core-2.46.0:2[introspection?]
+ >=media-libs/libcanberra-0.26
+ sys-apps/dbus
+ media-libs/libglvnd[X]
+ media-libs/mesa[X(+),egl(+)]
+ x11-libs/libSM
+ >=x11-libs/startup-notification-0.7
+ media-libs/fontconfig
+
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.13:=
+ )
+ introspection? (
+ >=dev-libs/gobject-introspection-1.41.3:=
+ )
+ screencast? (
+ >=media-video/pipewire-0.3.0:=
+ )
+ sysprof? (
+ >=dev-util/sysprof-capture-3.35.2:3
+ )
+ udev? (
+ >=virtual/libudev-228:=
+ >=dev-libs/libgudev-232
+ )
+ wayland? (
+ >=dev-libs/libinput-1.7:=
+ >=dev-libs/wayland-1.13.0
+ >=dev-libs/wayland-protocols-1.19
+ || (
+ >=media-libs/mesa-24.1.0_rc1[opengl]
+ <media-libs/mesa-24.1.0_rc1[gbm(+),gles2]
+ )
+ x11-base/xwayland
+ x11-libs/libdrm
+
+ systemd? (
+ sys-apps/systemd
+ )
+ !systemd? (
+ sys-auth/elogind
+ )
+ video_cards_nvidia? (
+ gui-libs/egl-wayland
+ )
+ )
+"
+RDEPEND="${COMDEPEND}
+ gnome-extra/zenity
+"
+DEPEND="${COMDEPEND}
+ x11-base/xorg-proto
+
+ sysprof? (
+ dev-util/sysprof-common
+ )
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ sys-devel/gettext
+ virtual/pkgconfig
+
+ wayland? (
+ dev-util/wayland-scanner
+ >=sys-kernel/linux-headers-4.4
+ x11-libs/libxcvt
+ )
+"
+
+src_prepare() {
+ default
+ python_fix_shebang src/backends/native/gen-default-modes.py
+}
+
+# Wayland is not supported upstream.
+src_configure() {
+ local emesonargs=(
+ -Dopengl=true
+ #opengl_libname
+ #gles2_libname
+ $(meson_use wayland gles2)
+ -Degl=true
+ -Dglx=true
+ $(meson_use wayland)
+ $(meson_use wayland native_backend)
+ $(meson_use screencast remote_desktop)
+ $(meson_use udev)
+ $(meson_use input_devices_wacom libwacom)
+ -Dpango_ft2=true
+ -Dstartup_notification=true
+ -Dsm=true
+ $(meson_use introspection)
+ $(meson_use test cogl_tests)
+ $(meson_use test clutter_tests)
+ # Wayland/Core tests cause issues. They attempt to access video hardware
+ # and leave /tmp/.X#-lock files behind.
+ -Dcore_tests=false # wayland
+ $(meson_use test tests)
+ $(meson_use sysprof profiler)
+ -Dinstalled_tests=false
+ #verbose
+ )
+
+ if use wayland; then
+ emesonargs+=(
+ $(meson_use video_cards_nvidia egl_device)
+ $(meson_use video_cards_nvidia wayland_eglstream)
+ )
+ fi
+
+ meson_src_configure
+}
+
+src_test() {
+ gnome2_environment_reset # Avoid dconf that looks at XDG_DATA_DIRS, which can sandbox fail if flatpak is installed
+ glib-compile-schemas "${BUILD_DIR}"/data
+ GSETTINGS_SCHEMA_DIR="${BUILD_DIR}"/data virtx meson_src_test --no-suite flaky
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_schemas_update
+}
next reply other threads:[~2024-08-05 3:36 UTC|newest]
Thread overview: 85+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-05 3:36 Eli Schwartz [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 2:25 [gentoo-commits] repo/gentoo:master commit in: x11-wm/muffin/ Sam James
2024-09-25 14:22 Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-23 5:23 Eli Schwartz
2024-08-05 3:36 Eli Schwartz
2024-08-05 3:36 Eli Schwartz
2024-08-04 21:18 Eli Schwartz
2024-07-01 17:03 Sam James
2024-05-31 20:13 Sam James
2024-05-28 13:19 Sam James
2024-05-23 17:17 Matt Turner
2024-02-15 13:29 Joonas Niilola
2024-02-15 13:29 Joonas Niilola
2023-10-13 7:43 Joonas Niilola
2023-10-04 8:24 Joonas Niilola
2023-09-26 15:59 WANG Xuerui
2023-07-16 18:34 Sam James
2023-07-16 18:34 Sam James
2023-06-05 9:58 Joonas Niilola
2023-06-05 9:58 Joonas Niilola
2023-05-07 22:14 Sam James
2023-04-30 16:50 Arthur Zamarin
2023-04-29 18:16 Arthur Zamarin
2022-11-22 6:20 Sam James
2022-11-22 6:20 Sam James
2022-11-21 17:46 Arthur Zamarin
2022-10-30 9:40 Sam James
2022-10-30 9:40 Sam James
2022-10-27 8:15 Joonas Niilola
2022-10-27 8:15 Joonas Niilola
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-09-19 3:42 Sam James
2022-05-11 2:11 Sam James
2022-05-05 3:01 Sam James
2022-05-05 3:00 Sam James
2022-01-21 17:15 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-11-23 1:25 Yixun Lan
2021-10-20 1:14 Sam James
2021-10-20 1:14 Sam James
2021-07-31 8:35 Joonas Niilola
2021-06-21 22:26 Sam James
2021-06-12 3:55 Sam James
2021-06-08 7:34 Sam James
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-04-16 11:23 Sam James
2021-03-01 13:02 Joonas Niilola
2021-01-24 17:31 Joonas Niilola
2021-01-06 1:05 Sam James
2020-12-29 17:14 Sam James
2020-12-16 22:30 Sam James
2020-09-15 14:20 Joonas Niilola
2020-09-09 2:15 Sam James
2020-09-09 2:15 Sam James
2020-04-20 20:52 Mart Raudsepp
2019-06-07 20:12 Mikle Kolyada
2019-06-04 20:58 Thomas Deutschmann
2018-07-31 8:38 Kristian Fiskerstrand
2018-05-26 11:32 Mart Raudsepp
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 14:00 Aaron Bauman
2017-11-26 23:33 David Seifert
2017-11-26 15:43 Kristian Fiskerstrand
2017-09-05 19:45 Kristian Fiskerstrand
2017-06-24 14:58 Kristian Fiskerstrand
2017-02-11 16:09 Kristian Fiskerstrand
2016-11-22 20:42 Kristian Fiskerstrand
2016-10-01 0:54 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-06-25 16:53 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-06-11 19:39 Pacho Ramos
2016-06-11 12:06 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-03-06 20:52 Mikle Kolyada
2016-01-11 14:26 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-09-12 9:11 Agostino Sarubbo
2015-09-07 21:11 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1722828947.183662910b717dd78380725ae93981c42c0b7e5c.eschwartz@gentoo \
--to=eschwartz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox